> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace

> Updates a workspace, this route must use the new V3 [endpoints](/api-reference/v3/intro).

## Example Request

```json theme={null}
{
  "updates": {
    "workspaceName": "Updated Workspace Name",
    "marketplaceProfile": {
      "username": "my-unique-username",
      "description": "We build AI agents"
    }
  }
}
```

<Note>
  Uses partial updates - only provided fields are changed. The marketplace `username` must be unique.
</Note>

<Tip>
  Set up `marketplaceProfile` to publish and share your agents on the marketplace.
</Tip>


## OpenAPI

````yaml PATCH /workspaces/{id}
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /workspaces/{id}:
    patch:
      tags:
        - Workspaces
      summary: Update a workspace
      operationId: updateWorkspace
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The id of the workspace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                updates:
                  type: object
                  properties:
                    workspaceName:
                      type: string
                      description: The name of the workspace
                    workspaceEmails:
                      type: array
                      items:
                        type: string
                      description: The emails of the workspace
                    automaticBilling:
                      type: boolean
                      description: The automatic billing of the workspace
                    marketplaceProfile:
                      type: object
                      properties:
                        username:
                          type: string
                          description: The username of the workspace
                        description:
                          type: string
                          description: The description of the workspace
                        email:
                          type: string
                          description: The email of the workspace
                        photoURL:
                          type: string
                          description: The photo URL of the workspace
                      additionalProperties: false
                      description: The marketplace profile of the workspace
                  additionalProperties: false
              required:
                - updates
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data: {}
                required:
                  - success
                  - message
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````